That’s my blog… Life and Linux

Compiz Fusion AMD-64 Ubuntu Repository

Compiz Fusion AMD 64 repositoryPrima della pubblicazione del MakeFusionDebs ho ricevuto davvero molte richieste dei pacchetti sorgenti per crearsi i pacchetti per la propria distribuzione ed architettura, successivamente mi ha fatto molto piacere vedere che in tantissimi si sono messi a creare pacchetti fatti in casa con il mio script ed ancora di più veder nascere repository per Debian Sid che lo sfruttano.

Ciò nonostante, le richieste di un vero e proprio repository per Ubuntu a 64bit (parallelo a quello per i386) da parte del popolo di utilizzatori di architetture AMD-64, non è mai cessato e visto che nessuno si faceva avanti con un proprio spazio, ho accettato la collaborazione di Bernardo Bandos che da oggi in poi mi invierà i pacchetti di Compiz Fusion compilati per i processori a 64bit che io inserirò nel nuovo repository eyecandy per amd64!

Per aggiungere il repository alla vostra lista, editate – con permessi di amministrazione (sudo) – il file /etc/apt/sources.list, aggiungendovi quanto segue:

# Treviño’s Ubuntu Deisty EyeCandy Repository (GPG key: 81836EBF)
# Many eyecandy 3D apps: Beryl, Compiz, Fusion, AWN and kiba-dock
# built by jbs using latest available (working) sources from git/svn/cvs…
deb http://download.tuxfamily.org/3v1deb feisty eyecandy-amd64
deb-src http://download.tuxfamily.org/3v1deb feisty eyecandy
-amd64

Quindi, date la fiducia alla mia chiave GPG pubblica con:

wget http://download.tuxfamily.org/3v1deb/DD800CD9.gpg -O- | sudo apt-key add –

Una volta fatto questo, per installare il tutto (e correggere eventuali problemi) valgono le stesse identiche indicazioni date per Compiz, CompizConfig e Compiz Fusion per i386.

Per ulteriori informazioni sull’installazione e l’ottimizzazione di Compiz Fusion, consultate il wiki italiano di Ubuntu che ho aggiornato anche con questi ultimi dettagli.

  • Pingback: Compiz Fusion AMD-64 Ubuntu Repository by Treviño « O.S. Revolution()

  • danieluk
  • Fabioamd87

    ma come, Janvitus?? mai sentito parlare di uPure64?

    http://forum.ubuntu-it.org/index.php/topic,26217.msg114718.html#msg114718 

  • sito

    be, io quelli di javintus li ho trovati molto ma molto instabili e con molte meno opzioni,  dunque appena posso provo questi quà e vedo se sono migliori.

  • danieluk, riprova adesso… Dovrebbe essere tutto a posto!

    Fabioamd87, si so benissimo dell’esitenza di quel repository, solo che Janvitus preferisce backportare le versioni di Gutsy piuttosto che git, mentre questo è un repository SOLO di versioni GIT di Compiz e Fusion.

    A voi la scelta… 

  • danieluk

    ora funziona :> li provo subito! grande trevinho emoticon

  • danieluk

    funge tutto alla perfezione 🙂 ma devo dire che beryl 0.3 è molto + veloce e ha +o- gli stessi effetti..

  • Mh, non saprei… Per me non è così. Dipende sicuramente anche dal driver in uso.

  • OT

    prima di tutto grazie per la compilazione e la pacchettizzazione!

    poi volevo segnalare un paio di problemi che sto riscontrando con compiz-fusion.

    Sembra che ogni tanto (mi è successo solo due volte) dopo che è partito lo screensaver non riesco più a inserire la password per tornare alla sessione, se provo con ctrl+alt+f1 il sistema si blocca.

    Totem ci mette un sacco di tempo (come 2-3 secondi) per passare da modalità finestra a tutto schermo.

    Magari sono bug già noti, e comunque non vorrei in nessun modo sembrare polemico.

     

     

     

  • sito

    bello, funziona per funzionare solo che non riesco a farlo partire in automatico all’avvio della sessione, rimane a centro schermo il rettangolo di caricamento della sessione e non c’è traccia di finestre morbibe,  dissolvenze e cubi.

    Devo da terminale dare il comando per far partire compiz e lui lo fa partire, poi dopo una decina di secondi fa uno strano errore dicendom iche c’è già un windows decorator e la cpu lavora molto di +, do il comando che c’è scritto nel compizconfig setting manager alla voce windows decorator e si sistema

    Magari boh è solo un problema mio, può seere ch ese lo reinstallo si risolve. 

  • ibart

    con l’aggiornamento di oggi all’avvio di xgl compiz parte “normale,” cioè si vede tutto lo schermo, poi diventa così : http://img442.imageshack.us/img442/1461/schermatapu6.png

    Puoi rimettere su i pacchetti per 64 bit precedenti? 😐

  • A me a volte era capitato, mi bastava riavviare KDE e tutto tornava a posto… Ad ogni modo, i pacchetti precedenti ce li hai ancora tu (sicuramente) in /var/cache/apt/archives, altrimenti sono qui.

  • ibart

    il problema non è l’upgrade, ma qualche opzione … ho reinstallato i pacchetti vecchi e continuo ad avere il problema 🙁

  • ibart

    mi son scordato di dire che ho risolto 😉

  • Che c’era di così tanto misterioso? 🙂

  • Prima cosa ringrazio trevino e tutti quelli che come lui contribuiscono al continuo miglioramento di questo fantastico mondo!!!

    Sono qui per chiedere il vostro aiuto. Utilizzo ubuntu 64bit su un hp pavilion zv6000 ( adesso rimpiango di avere il 64bit ) con scheda x200 xpress e ovviamente avevo installato compiz fusion. Questa mattina si è aggiornato ma dopo il riavvio non caricava  più i bordi delle finestre. Nella prima installazione non funzionava correttamente ma li ho risolto usando emerald, che poi ha fatto funzionare anche compiz. Adesso però dopo vari tentativi non so più che fare. Praticamente se lancio il comando  "compiz –replace -c emerald" per vedere se riparte mi da un errore relativo al plugin ‘ccp’ precisamente questo

    /usr/bin/compiz.real (core) – Error: Can’t load plugin ‘ccp’ because it is built for ABI version 20070606 and actual version is 20070706
    /usr/bin/compiz.real (core) – Error: Couldn’t activate plugin ‘ccp’

    Quindi se non ho capito male si è aggiornato tutto tranne il plugin per le configurazioni ( o sbaglio ?). Cosa posso fare???

    Anzioso di vostri suggerimenti vi ringrazio anticipatamente.

    Un saluto a tutti ciaoooo. 

  • ibart

    non so, ho disintallato, ho reinstallato i plugin vecchi e ho rifatto l’upgrade e ha funzionato tutto 😐

  • ibart

    idem

    ibart@AMD64:~$ compiz –replace
    /usr/bin/compiz.real (core) – Error: Can’t load plugin ‘ccp’ because it is built for ABI version 20070606 and actual version is 20070706
    /usr/bin/compiz.real (core) – Error: Couldn’t activate plugin ‘ccp’

  • ibart

    nessun upgrade? 😐 devo rifare il downgrade? 😐 ufff 😛

  • Miguelx

    stesso errore del plugin ccp..

     I pacchetti del ccs e libcompizconfig sono fermi alla versione precedente

     

  • Matt

    Ciao a tutti. Purtroppo anche io, aggiornando stamattina, al riavvio mi si presentava il Compiz Fusion tutto sballato, senza decorazioni anche se risultavano attivate nel "CompizConfig Sertting Manager".

    Dando da terminale "compiz –replace" veniva fuori l’errore:

    /usr/bin/compiz.real (core) – Error: Can’t load plugin ‘ccp’ because it is built for ABI version 1 and actual version is 20070706
    /usr/bin/compiz.real (core) – Error: Couldn’t activate plugin ‘ccp’

     

    Pensando ad un qualche errore negli aggiornamenti ho rimosso il compiz e reinstallato ma il problema persisteva, anche se in modo poco diverso:

    /usr/bin/compiz.real (core) – Error: Can’t load plugin ‘ccp’ because it is built for ABI version 20070606 and actual version is 20070706
    /usr/bin/compiz.real (core) – Error: Couldn’t activate plugin ‘ccp’

     

    Che possa essere dovuto ad un bug presente ultimi pacchetti?

     

    Ubuntu Feisty AMD64 – kernel 2.6.20.16 lowlatency – HP Pavilion dv8000

  • ibart

    io ho risolto disinstallando compiz e reinstallando i pacchetti vecchi (http://download.tuxfamily.org/3v1deb/pool/feisty/eyecandy-amd64/) dell’altro ieri. Le impostazioni tanto restano. Salut

  • Matt

    @ ibart

    Ciao. Come hai fatto a reinstallare i vecchi pacchetti? Non hai installato da repository? Hai preso i pacchetti dell’altro ieri (05-Jul-2007) e li hai installati uno a uno?

     

  • danieluk

    stesso errore

    provo pure io con i pacchetti vecchi emoticon 

  • ibart

    ieri sera sono stati uppati nuovi pacchetti. qualcuno con il problema può provare ad installarli per vedere se torna tutto normale? Grazie 😀

  • chivox

    i dont speak italian sorry…

     

    i solve the problem, install  package older than 05-Jul-2007 from http://download.tuxfamily.org/3v1deb/pool/feisty/eyecandy-amd64/

     

    the order is not revelevant, ubuntu guides you 😉 

  • chivox

    by the way im from venezuela

  • j0n0

    Stesso problema:

     /usr/bin/compiz.real (core) – Error: Can’t load plugin ‘ccp’ because it is built for ABI version 20070606 and actual version is 20070706
    /usr/bin/compiz.real (core) – Error: Couldn’t activate plugin ‘ccp’

  • davide

    anche io stesso problema: Error: Couldn’t activate plugin ‘ccp’

    ho  provato a reinstallare la versione rimossa di compiz: compiz-core desktop-effects (che funzionava perfettamente), ma il problema con il decoratore di finestre persiste.

     aiutoemoticon

  • davide

    Ho riprovato una mezzoretta fa, reinstallato tutto..e ora funziona..mmaemoticon

  • Matt

    WOW…

    Eh si… avranno corretto i pacchetti nuovi! Finalmente torno a fare WOW!

    Ci sono infatti nuovi upload di pacchetti nei repository datati 08-Jul-2007 17:31.

    Byez! 

     

  • flowghost

    Ciao, scusate ma sono un niubbo tremendo, ho seguito la procedura e non va piu nulla, mi da l-errore> 

     

    s@s-laptop:~$ compiz –replace
    inotify_add_watch: No such file or directory
    Segmentation fault (core dumped)
    /usr/bin/compiz.real: pixmap 0x1000065 can’t be bound to texture
    /usr/bin/compiz.real: pixmap 0x10000a6 can’t be bound to texture
    /usr/bin/compiz.real: pixmap 0x10000cb can’t be bound to texture
    /usr/bin/compiz.real: pixmap 0x10000fb can’t be bound to texture
    inotify_add_watch: No such file or directory
    Segmentation fault (core dumped)
    Window manager warning: "" found in configuration database is not a valid value for keybinding "toggle_shaded"

  • ibart

    prova a disabilitare il plugin in questione.

  • siiiiiiiiiiiiiiiii tutto ok!!!! è tornato tutto a postoemoticon

  • En los comentarios sobre los repositorios dice DEISTY en vez de FEISTY

    Saludos, y gracias por el apoyo

  • ibart

    daddo, ma prima di idire che è tutto OK hai provato a riavviare il pc si? io lo ho fatto e mi è tipo “esploso” compiz mah

  • danieluk

    installati ma da lo stesso errore emoticon

  • Matt

    Dopo aver controllato l’uscita di nuovi pacchetti ho dato un semplice

    atp-get update – apt-get upgrade e poi compiz –replace &

    e tutto è tornato funzionante. Anche dopo il riavvio.

    ibart, prova  a dare da terminale compiz –replace -v , leggi i problemi e magari leggiti il file /home/[nomeutente]/.xsession-errors . Qualcosa dovrà dirti per capire il tuo problema.

    Ciao. 

  • Scusate per il problema, avevo sincronizzato male i pacchetti con quelli che  Bernardo mi aveva inviato ed ho aggiornato tardi perché questo weekend è stato tutt’altro che casalingo per me (capirete: estate, sole…), ad ogni modo bene che ora sia tutto ok. 😛

  • ibart

    ho risolto. era il plugin wallpaper a farmelo crashare. Disabilitato, ora va. Scusate 😛

  • danieluk

    ok ora funziona emoticon grazie trevino

  • danieluk

    nuovo aggiornamento ed è scoppiato ancora emoticon

    Traceback (most recent call last):
      File "/usr/local/bin/ccsm", line 2153, in <module>
        context = ccs.Context(screens, len(screens))
    TypeError: function takes at most 1 argument (2 given)
     

  • Trevino ma qulai scuse???? non finiremo mai di ringraziarti………GRAZIEEE

  • si ho visto che ci sono i nuovi aggiornamenti, però stavolta aspetto anche perchè ho la 56k qundi le mie manovre sono difficoltose e approfitto per chiedervi una cosa. Non c’è modo di collegarsi con un winmodem 56k? Io adesso sono costretto a collegarmi con win e sfruttare  la connessione con il portatile,  ho fatto molti tentativi con ubuntu e il modem ma niente da fare….ciao a tutti

  • ibart

    nuovo aggiornamento ed è scoppiato ancora?

    ok sto giro non aggiorno 😐

  • Danieluk, il problema è tuo… Non dei pacchetti… Stai avviando il manager in /usr/local, quindi installato da qualche vecchio script… Togli tutti quei file e funzionerà.

    Ciao!

  • danieluk

    😐 provvedo a sistemare,greazie della dritta

  • sii, ho appena aggiornato, tutto ok!!!emoticon

  • danieluk

    funziona tutto anche a me emoticon

     

     

     

  • Luca

    l’ultima serie di aggiornamenti (ieri sera – 32bit) hanno reso lento e scattoso compiz.. è un problema conosciuto? ho provato a rimuovere tutto (compiz e impostazioni gconf) e a riinstallare i pacchetti ma continua a essere veramente lentino…

    Con il plugin benchmark cala da 500 fps a meno di 60, quando fino a qlc giorno fa era fisso sui 500.. cosa posso fare??

    PS Uso ubuntu 7.04 ed un nvidia 7600gt